textures/mp_ameland/darts
{
	cull disable
	{
		map textures/mp_ameland/darts.jpg
	}
}

textures/mp_ameland/ameland_sky
{
	qer_editorimage textures/skies/sky_4.tga
	q3map_lightimage textures/skies/n_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sun	1.0 0.8 0.6 130 220 50
	q3map_surfacelight 25							
	skyparms full 200 -
	
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.001 -0.003
		tcMod scale 6 6
		depthWrite
	}

	{
		map textures/skies/assa_clouds1.tga
		blendfunc blend
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}

textures/mp_ameland/ameland_water
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 384
	
	cull disable
	waterfogvars ( 0.0015 0.0015 0.0015 ) 512
	{
		fog on
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .03 .02		
	}	
	{
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .5		
		tcmod scale .2 .2
		tcmod scroll -.03 -.02	
	}
}

textures/mp_ameland/beam
{
	qer_editorimage textures/assault_rock/haze2.tga
	nocompress	
      surfaceparm nonsolid
	{
		map textures/assault_rock/haze2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mp_ameland/achterdijken
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_ameland/achterdijken.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mp_ameland/kerkstraat
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_ameland/kerkstraat.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mp_ameland/molenweg
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_ameland/molenweg.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/mp_ameland/mirror
{
	qer_editorimage textures/common/mirror.tga
	surfaceparm nolightmap
	portal
 	{
		map textures/mp_ameland/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

// terrain stuff

textures/mp_ameland/terrain_base
{
	qer_editorimage textures/stone/mxsand0.tga

	// required
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )	// project texture every 256 units in X and Y
	q3map_lightmapaxis z					// project lightmap on z axis (up/down)
	
	// optional
	q3map_lightmapmergable					// merges all terrain into one seamless lightmap (no seams)
	q3map_lightmapsamplesize 32				// sets lightmap sample size to 2x normal to save mem			
}

textures/mp_ameland/terrain_0
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand0.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_1
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand1.tga

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_2
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand2.tga

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_3
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_4
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand4.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/mp_ameland/terrain_0to1
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand0.tga
	}
	{
		map textures/stone/mxsand1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_0to2
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand0.tga
	}
	{
		map textures/stone/mxsand2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_0to3
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand0.tga
	}
	{
		map textures/stone/mxsand3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_0to4
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand0.tga
	}
	{
		map textures/stone/mxsand4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/mp_ameland/terrain_1to2
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand1.tga
	}
	{
		map textures/stone/mxsand2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_1to3
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand1.tga
	}
	{
		map textures/stone/mxsand3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_1to4
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand1.tga
	}
	{
		map textures/stone/mxsand4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_2to3
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand2.tga
	}
	{
		map textures/stone/mxsand3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_2to4
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand2.tga
	}
	{
		map textures/stone/mxsand4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mp_ameland/terrain_3to4
{
	q3map_baseshader textures/mp_ameland/terrain_base
	{
		map textures/stone/mxsand3.tga
	}
	{
		map textures/stone/mxsand4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
